#### org.gnome.OnlineAccounts.PasswordBased D-Bus Interface [src]

# org.gnome.OnlineAccounts.PasswordBased

## Description

An account object implements this interface if one or more passwords are used for accessing it.

Interface available since: 3.6.0.

### Methods

### org.gnome.OnlineAccounts.PasswordBased.GetPassword

        GetPassword (
          IN id s,
          OUT password s
        )

Use this method to obtain the passwords used to access the account.

If the account is for a mail account (see `org.gnome.OnlineAccounts.Mail`_), known values for `id` includes imap-password and smtp-password.

Note that calls to this method are logged.

- id: An identifier describing what password to get.

Method available since: 3.6.0.